io.vertx.rxjava.ext.web.templ

## Class MVELTemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.templ.TemplateEngine
  - - io.vertx.rxjava.ext.web.templ.MVELTemplateEngine

-     public class MVELTemplateEngine
      extends TemplateEngine

  A template engine that uses the Handlebars library.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<MVELTemplateEngine>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVELTemplateEngine(MVELTemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MVELTemplateEngine` | `create()` Create a template engine using defaults
    `MVELTemplateEngine` | `getDelegate()`
    `static MVELTemplateEngine` | `newInstance(MVELTemplateEngine arg)`
    `MVELTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `MVELTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from class io.vertx.rxjava.ext.web.templ.TemplateEngine

      `newInstance, render, renderObservable, rxRender`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<MVELTemplateEngine> __TYPE_ARG

  - ### Constructor Detail

    - #### MVELTemplateEngine

          public MVELTemplateEngine(MVELTemplateEngine delegate)

  - ### Method Detail

    - #### getDelegate

          public MVELTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static MVELTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          public MVELTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          public MVELTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static MVELTemplateEngine newInstance(MVELTemplateEngine arg)

Copyright © 2017. All rights reserved.